Status: Rejected Priority: -- undefined --
Created: 2010-03-28 Assigned To:
Has patch:
Affected Flow version:
Subject: if ViewHelper: conditions always true
Description

My code:
{foo.bar} 

<f:if condition="{foo.bar} == test1"><f:then> test1 </f:then></f:if>
<f:if condition="{foo.bar} == test2"><f:then> test2 </f:then></f:if>
<f:if condition="{foo.bar} == test3"><f:then> test3</f:then></f:if>

The output is:
test2

test1 
test2 
test3

But I expected this result:
test2

test2 

Is my syntax wrong?

Related issues:
duplicates TYPO3.Fluid - Task # 6757: support literal strings in boolean argu... Resolved 2010-03-10

History
#1 - 2010-03-28 19:12 - Peter Niederlag

Please have a look at the documentation, f:if currently can't handle literals/strings. :-<

#2 - 2010-03-28 20:17 - Nikolas Berger

Peter Niederlag wrote:

Please have a look at the documentation, f:if currently can't handle literals/strings. :-<

Is that the solution? http://forge.typo3.org/issues/show/6757
http://forge.typo3.org/issues/show/6757


#3 - 2010-06-24 20:08 - Sebastian Kurfuerst
- Status changed from New to Rejected

as stated by Peter, Fluid does not support strings right now.

Greets,
Sebastian
